Bug 426046 - the last.fm-plugin doesn't submit songs to last.fm
the last.fm-plugin doesn't submit songs to last.fm
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-17 18:31 EST by Espen Stefansen
Modified: 2008-05-28 22:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.11.3-11.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 22:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from rhythmbox -D audioscrobbler (2.45 KB, application/octet-stream)
2008-03-02 23:42 EST, Eduardo Villagrán Morales
no flags Details
Patch to rhythmbox-0.11.3-10.fc8 with upstream fix (4.98 KB, patch)
2008-04-26 16:03 EDT, Ramon de Carvalho Valle
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 499745 None None None Never

  None (edit)
Description Espen Stefansen 2007-12-17 18:31:54 EST
Description of problem:
Lately when I listened to music in Rhythmbox, it doesn't submit the songs to 
Last.fm. On rare occasions one song might get submitted though.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Run Rhythmbox and enable last.fm-plugin
2. Listen to music
Actual results:
No songs gets submitted

Expected results:
All songs should be submitted and shown on last.fm
Comment 1 Andrew Alm 2008-01-02 13:42:38 EST
I am experiencing this problem as well.  The only way I have ever got it to
submit songs in the new version was to delete all of rythmbox's settings and
reconfigure it, then one song was submitted.
Comment 2 Harold Campbell 2008-01-10 12:27:05 EST
Comment 3 Joshua Jensen 2008-01-27 09:40:08 EST
Do they have a new version that isn't broken yet?
Comment 4 Eduardo Villagrán Morales 2008-03-02 23:42:35 EST
Created attachment 296545 [details]
output from rhythmbox -D audioscrobbler

I have same problem. I attach a debug output.
Comment 5 Dario Castellarin 2008-03-31 20:14:38 EDT
I saw that rhythmbox 0.11.5-3 introduced an upstream patch to fix this issue,
does it work? Is it possible to backport it to F8? This issue is kind of annoying...
Comment 6 Fedora Update System 2008-04-01 12:12:37 EDT
rhythmbox-0.11.3-10.fc8 has been submitted as an update for Fedora 8
Comment 7 Bastien Nocera 2008-04-01 12:16:51 EDT
The upstream patch was actually added in 0.11.4.

I'm not sure the patch is going to be quite enough, and we're reworking the
last.fm plugin upstream to use the new audioscrobbler APIs. The code should be
cleaner, and certainly better in future releases.
Comment 8 Dario Castellarin 2008-04-01 17:08:16 EDT
I've been testing it for some hours now, on 2 different machines, without
noticing a sensible difference, still 1 song out of 10 gets submitted, more or
Comment 9 Fedora Update System 2008-04-09 01:21:43 EDT
rhythmbox-0.11.3-10.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rhythmbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3026
Comment 10 Denis Tumpic 2008-04-09 08:20:40 EDT
Have been trying rhythmbox-0.11.3-10.fc8 with 10 tunes in the last hour and none
were submitted.

I have over 8k submitted tracks with an average of 30+ per day... is last.fm
filtering updates? The reason I think this might be the case is that other
players Amarok, beep and one more that I don't even remember the name of do have
the same problem after a while.

Resolution hint that may be completely incorrect, educated guess: Maybe there is
a problem of timestamps when submitting updates. I believe one can not update
last.fm until the update timestamp of the previous tune is expired
(old/history.) Maybe month/day have been switched? I am running ntpd and I am
always on stratum 2 at least.
Comment 11 Denis Tumpic 2008-04-10 12:07:41 EDT
What is even worse is that it seems to submit tracks that hasn't been fully
listened to (less than 5 second listening and clicking on the next button. This
was in "Shuffle" mode.) 
Comment 12 Ramon de Carvalho Valle 2008-04-26 16:03:55 EDT
Created attachment 303867 [details]
Patch to rhythmbox-0.11.3-10.fc8 with upstream fix

The rhythmbox-0.11.3-10.fc8 from testing repository actually didn't fixed this
bug. I merged the upstream fix into rhythmbox-0.11.3-10.fc8.
Comment 13 Fedora Update System 2008-05-02 08:43:24 EDT
rhythmbox-0.11.3-11.fc8 has been submitted as an update for Fedora 8
Comment 14 Dario Castellarin 2008-05-06 12:30:11 EDT
I've been testing 0.11.3-11 for a few days now and finally it seems to submit
songs fine! Yay!
Comment 15 Denis Tumpic 2008-05-12 11:25:44 EDT
Indeed it works for me as well now. Thank you!
Comment 16 Fedora Update System 2008-05-28 22:38:43 EDT
rhythmbox-0.11.3-11.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.